/***********************************************************************************************************************
 *
 * SolidBlue - open source safe data
 * Copyright (C) 2011-2011 by Tidalwave s.a.s. (http://www.tidalwave.it)
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * WWW: http://solidblue.java.net
 * SCM: https://bitbucket.org/tidalwave/solidblue-src
 *
 **********************************************************************************************************************/
package it.tidalwave.netbeans.lookandfeel.ui.quaqua;

//import com.explodingpixels.macwidgets.plaf.HudCheckBoxUI;
import java.util.logging.Logger;
import javax.swing.UIManager;
import org.openide.modules.ModuleInstall;

/*******************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id$
 *
 ******************************************************************************/
public class QuaquaCustomizationsModule extends ModuleInstall
  {
    private final static String CLASS = QuaquaCustomizationsModule.class.getName();
    private final static Logger logger = Logger.getLogger(CLASS);

    @Override
    public void restored() 
      {
        final String name = UIManager.getLookAndFeel().getClass().getName();
        logger.info("Current L&F: " + name);
        //
        // Since this module depends on Core - LookAndFeel, we're sure that
        // Quaqua is already installed.
        //
        if ("ch.randelshofer.quaqua.QuaquaLookAndFeel".equals(name))
          {
            logger.info(">>>> installing Quaqua customizations...");
//            UIManager.put("ScrollBarUI", BMQuaquaScrollBarUI.class.getName());
            UIManager.put("OptionPaneUI", BMQuaquaOptionPaneUI.class.getName());
            UIManager.put("TreeUI", BMQuaquaTreeUI.class.getName());
            UIManager.put("Nb.Toolbar.ui", BMQuaquaToolBarUI.class.getName());
            // FIXME: the one below does not work
            UIManager.put("ToolBarSeparatorUI", BMQuaquaToolBarSeparatorUI.class.getName());
          }

        // FIXME: should use dark UI from ExplodingPixels, but it's broken
//        LookAndFeel.registerDarkUI(JComboBox.class, new HudComboBoxUI());
//        LookAndFeel.registerDarkUI(JCheckBox.class, new HudCheckBoxUI());

//        LookAndFeel.registerDarkUI(JComboBox.class, new NimRODComboBoxUI());
//        LookAndFeel.registerDarkUI(JCheckBox.class, new NimRODCheckBoxUI());
      }
  }
